<?php
/**
*  @author		@mario forum.prestashop.pl 2012
*  @license		http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*/

if (!defined('_PS_VERSION_'))
	exit;

class StyleSelector extends Module
{
	function __construct()
	{
		$this->name = 'styleselector';
		$this->tab = 'front_office_features';
		$this->version = '1.0';
		$this->author = '@mario forum.prestashop.pl';
		$this->need_instance = 0;
		parent::__construct();

		$this->displayName = $this->l('Style Selector');
		$this->description = $this->l('Style Selector allows change periodically your style theme.');
		$this->confirmUninstall = $this->l('Are you sure that you want to uninstall StyleSelector module?');
	}

	public function install()
	{
		return (parent::install()
			AND $this->registerHook('header')
			AND Configuration::updateValue('STYLE_SELECTOR', ''));
	}

	public function uninstall()
	{
		return (parent::uninstall()
			AND Configuration::deleteByName('STYLE_SELECTOR'));
	}

	public function hookHeader($params)
	{
		global $smarty;

		$error = null;
		$smarty->assign(array(
			'styleSelector' => Configuration::get('STYLE_SELECTOR')));

		return $this->display(__FILE__, 'styleHeader.tpl');

	}

	public function getContent()
	{
		$this->_html = '<h2>'.$this->displayName.'</h2>';
		$this->_postProcess();
		$this->_displayFormStyleSelector();
		return $this->_html;
	}

	private function _postProcess()
	{
		if (Tools::isSubmit('submitStyleSelector'))
		{
			Configuration::updateValue('STYLE_SELECTOR', pSQL(Tools::getValue('style')));
			$this->_html .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Confirmation').'" />'.$this->l('Settings updated').'</div>';
		}
	}

	private function _displayFormStyleSelector()
	{
		$this->_html .= '
		<fieldset class="width2">
			<legend><img src="../img/admin/cog.gif" alt="" />'.$this->l('Select your new style').'</legend><br />
			<form action="'.$this->_baseUrl.'" method="post" name="styleselector_form">
				<label>'.$this->l('Select style:').'</label>
				<div class="margin-form">
					<select name="style">
						<option value="" '.('' == Configuration::get('STYLE_SELECTOR') ? 'selected="selected"' : '').'>'.$this->l('None').'</option>';
					$styles = array(
					'spring' => $this->l('Spring'),
					'summer' => $this->l('Summer'), 
					'autumn' => $this->l('Autumn'), 
					'winter' => $this->l('Winter'), 
					'easter' => $this->l('Easter'), 
					'christmas' => $this->l('Christmas'), 
					'valentine' => $this->l('Valentine'), 
					'childrens_day' => $this->l('Children\'s Day'), 
					'mothers_day' => $this->l('Mother\'s Day'), 
					'fathers_day' => $this->l('Father\'s Day'));
					
					foreach($styles AS $style => $value)
						$this->_html.= '
						<option value="'.$style.'" '.($style == Configuration::get('STYLE_SELECTOR') ? 'selected="selected"' : '').'>'.$value.'</option>';
				$this->_html .= '
					</select>
				</div>
				<div class="margin-form clear"><br />
					<input type="submit" name="submitStyleSelector" value="'.$this->l('Save').'" class="button" />
				</div>
			</form>
		</fieldset><br />';
	}
}